Skip to main content
GET
/
organizations
/
{organizationId}
/
users
/
{userId}
Get user information
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/users/{userId} \
  --header 'Authorization: Bearer <token>'
{
  "avatarUrl": "https://avatar.url",
  "createdAt": "2022-11-22T04:37:12Z",
  "fullName": "Jane Doe",
  "id": "clm9sq6s0000008kz7uvl7yz7",
  "status": "ACTIVE",
  "updatedAt": "2022-11-22T04:37:12Z",
  "username": "user1@company.com",
  "dagRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DAG_VIEWER",
      "dagId": "my_dag",
      "dagTag": "team-a"
    }
  ],
  "deploymentRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DEPLOYMENT_ADMIN"
    }
  ],
  "organizationRole": "ORGANIZATION_MEMBER",
  "workspaceRoles": [
    {
      "role": "WORKSPACE_MEMBER",
      "workspaceId": "clm8t5u4q000008jq4qoc3036"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the user belongs.

userId
string
required

The user's ID.

Response

OK

avatarUrl
string
required

The URL for the user's profile image.

Example:

"https://avatar.url"

createdAt
string<date-time>
required

The time when the user was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

fullName
string
required

The user's full name.

Example:

"Jane Doe"

id
string
required

The user's ID.

Example:

"clm9sq6s0000008kz7uvl7yz7"

status
enum<string>
required

The user's status.

Available options:
ACTIVE,
INACTIVE,
PENDING,
BANNED
Example:

"ACTIVE"

updatedAt
string<date-time>
required

The time when the user was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

username
string
required

The user's username.

Example:

"user1@company.com"

dagRoles
object[]

The user's DAG roles.

deploymentRoles
object[]

The user's Deployment roles.

organizationRole
enum<string>

The user's Organization role.

Available options:
ORGANIZATION_OWNER,
ORGANIZATION_OBSERVE_ADMIN,
ORGANIZATION_OBSERVE_MEMBER,
ORGANIZATION_BILLING_ADMIN,
ORGANIZATION_MEMBER
Example:

"ORGANIZATION_MEMBER"

workspaceRoles
object[]

The user's Workspace roles.